Person Activity
curl --request POST \
--url https://api.datamagnet.co/api/v1/person/activity \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"type": "<string>",
"cursor": "<string>"
}
'import requests
url = "https://api.datamagnet.co/api/v1/person/activity"
payload = {
"url": "<string>",
"type": "<string>",
"cursor": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', type: '<string>', cursor: '<string>'})
};
fetch('https://api.datamagnet.co/api/v1/person/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cursor": "eyJjb3VudCI6MTAwLCJzdGFydCI6MTAwLCJwYWdpbmF0aW9uVG9rZW4i...",
"message": [
{
"activity_type": "Post",
"attachments": null,
"author": {
"image_url": "https://media.licdn.com/dms/image/...",
"occupation": "Head of Talent, Anthropic",
"public_identifier": "gouldjames",
"title": "Jimmy Gould",
"type": "Member",
"url": "https://linkedin.com/in/gouldjames",
"urn": "urn:li:fsd_profile:ACoAAAANoqwBhs9WE_vNa9Ias3JiEUUO0F4iTDk"
},
"comments": 0,
"created_at": "2025-12-05T22:37:37.579Z",
"is_repost": false,
"likes": 110,
"mentions": [
{
"entity_urn": "urn:li:fsd_profile:ACoAAAXCzi8BikDXxPm2lUfNvihMqKmhvKGmrpw"
}
],
"reactions": [
{ "count": 73, "reaction_type": "LIKE" },
{ "count": 23, "reaction_type": "EMPATHY" },
{ "count": 9, "reaction_type": "INTEREST" }
],
"share_url": "https://www.linkedin.com/posts/gouldjames_...",
"shared_post": {
"attachments": [
{
"subtitle": "anthropic.com",
"title": "Guidance on Candidates' AI Usage",
"type": "Article",
"url": "https://www.anthropic.com/candidate-ai-guidance",
"urn": "urn:li:article:7340433422727031236"
}
],
"author": {
"image_url": "https://media.licdn.com/dms/image/...",
"occupation": "Data-Driven Recruiting...",
"public_identifier": "alison-bunnell",
"title": "Alison Bunnell",
"type": "Member",
"url": "https://linkedin.com/in/alison-bunnell",
"urn": "urn:li:fsd_profile:..."
},
"comments": 30,
"created_at": "2025-12-05T18:11:00.510Z",
"is_repost": false,
"likes": 714,
"reactions": [
{ "count": 564, "reaction_type": "LIKE" },
{ "count": 76, "reaction_type": "EMPATHY" }
],
"share_url": "https://www.linkedin.com/posts/alison-bunnell_...",
"shared_post": null,
"shares": 29,
"text": "An inside scoop from an Anthropic recruiter's perspective...",
"url": "https://www.linkedin.com/feed/update/...",
"urn": "urn:li:activity:7402771491890597888"
},
"shares": 0,
"text": "Some great words from Alison Bunnell - she's absolutely right!",
"url": "https://www.linkedin.com/feed/update/urn:li:activity:7402838588461125632",
"urn": "urn:li:activity:7402838588461125632"
},
{
"activity_type": "Repost",
"shared_post": {
"attachments": [
{
"navigation_context": {
"action_target": "https://www.cbsnews.com/video/..."
},
"title": "Anthropic knows AI comes with risks...",
"type": "ExternalVideo",
"urn": "urn:li:article:9179999911804862012",
"website": "cbsnews.com"
}
],
"author": {
"image_url": "https://media.licdn.com/dms/image/...",
"occupation": "Chief Communications Officer, Anthropic",
"public_identifier": "sashademarigny",
"title": "Sasha de Marigny",
"type": "Member",
"url": "https://linkedin.com/in/sashademarigny",
"urn": "urn:li:fsd_profile:..."
},
"comments": 12,
"created_at": "2025-11-17T12:25:07.148Z",
"is_repost": false,
"likes": 502,
"mentions": [],
"reactions": [
{ "count": 387, "reaction_type": "LIKE" },
{ "count": 45, "reaction_type": "EMPATHY" }
],
"share_url": "https://www.linkedin.com/posts/sashademarigny_...",
"shared_post": null,
"shares": 29,
"text": "AI has the potential to compress a century...",
"url": "https://www.linkedin.com/feed/update/...",
"urn": "urn:li:activity:7396021973555924992"
}
}
]
}
Person Activity
Retrieve a LinkedIn member’s recent activity by profile URL, including posts, comments, likes, and shares for engagement monitoring workflows.
POST
/
api
/
v1
/
person
/
activity
Person Activity
Cost:10 credits / successful request.
This endpoint retrieves the recent activity of a LinkedIn person profile based on the provided LinkedIn URL. The response includes details about the person’s posts, including text, attachments, reactions, and more.
Person activity endpoint
This endpoint allows you to get structured data of a LinkedIn Person Profile’s activity.Required attributes
string
required
The LinkedIn profile URL of the person whose activity you want to retrieve.
Optional attributes
string
Alters the type of posts to be fetched.
postsThe default behavior. Fetches all posts and reposts for the profile.comments- Fetch only posts which the profile commented on.reactions- Fetch only posts which the profile reacted to.articles- Fetch only articles posted by the profile.
string
Use this parameter to paginate through results. Use the cursor returned from your previous request.
Response
{
"cursor": "eyJjb3VudCI6MTAwLCJzdGFydCI6MTAwLCJwYWdpbmF0aW9uVG9rZW4i...",
"message": [
{
"activity_type": "Post",
"attachments": null,
"author": {
"image_url": "https://media.licdn.com/dms/image/...",
"occupation": "Head of Talent, Anthropic",
"public_identifier": "gouldjames",
"title": "Jimmy Gould",
"type": "Member",
"url": "https://linkedin.com/in/gouldjames",
"urn": "urn:li:fsd_profile:ACoAAAANoqwBhs9WE_vNa9Ias3JiEUUO0F4iTDk"
},
"comments": 0,
"created_at": "2025-12-05T22:37:37.579Z",
"is_repost": false,
"likes": 110,
"mentions": [
{
"entity_urn": "urn:li:fsd_profile:ACoAAAXCzi8BikDXxPm2lUfNvihMqKmhvKGmrpw"
}
],
"reactions": [
{ "count": 73, "reaction_type": "LIKE" },
{ "count": 23, "reaction_type": "EMPATHY" },
{ "count": 9, "reaction_type": "INTEREST" }
],
"share_url": "https://www.linkedin.com/posts/gouldjames_...",
"shared_post": {
"attachments": [
{
"subtitle": "anthropic.com",
"title": "Guidance on Candidates' AI Usage",
"type": "Article",
"url": "https://www.anthropic.com/candidate-ai-guidance",
"urn": "urn:li:article:7340433422727031236"
}
],
"author": {
"image_url": "https://media.licdn.com/dms/image/...",
"occupation": "Data-Driven Recruiting...",
"public_identifier": "alison-bunnell",
"title": "Alison Bunnell",
"type": "Member",
"url": "https://linkedin.com/in/alison-bunnell",
"urn": "urn:li:fsd_profile:..."
},
"comments": 30,
"created_at": "2025-12-05T18:11:00.510Z",
"is_repost": false,
"likes": 714,
"reactions": [
{ "count": 564, "reaction_type": "LIKE" },
{ "count": 76, "reaction_type": "EMPATHY" }
],
"share_url": "https://www.linkedin.com/posts/alison-bunnell_...",
"shared_post": null,
"shares": 29,
"text": "An inside scoop from an Anthropic recruiter's perspective...",
"url": "https://www.linkedin.com/feed/update/...",
"urn": "urn:li:activity:7402771491890597888"
},
"shares": 0,
"text": "Some great words from Alison Bunnell - she's absolutely right!",
"url": "https://www.linkedin.com/feed/update/urn:li:activity:7402838588461125632",
"urn": "urn:li:activity:7402838588461125632"
},
{
"activity_type": "Repost",
"shared_post": {
"attachments": [
{
"navigation_context": {
"action_target": "https://www.cbsnews.com/video/..."
},
"title": "Anthropic knows AI comes with risks...",
"type": "ExternalVideo",
"urn": "urn:li:article:9179999911804862012",
"website": "cbsnews.com"
}
],
"author": {
"image_url": "https://media.licdn.com/dms/image/...",
"occupation": "Chief Communications Officer, Anthropic",
"public_identifier": "sashademarigny",
"title": "Sasha de Marigny",
"type": "Member",
"url": "https://linkedin.com/in/sashademarigny",
"urn": "urn:li:fsd_profile:..."
},
"comments": 12,
"created_at": "2025-11-17T12:25:07.148Z",
"is_repost": false,
"likes": 502,
"mentions": [],
"reactions": [
{ "count": 387, "reaction_type": "LIKE" },
{ "count": 45, "reaction_type": "EMPATHY" }
],
"share_url": "https://www.linkedin.com/posts/sashademarigny_...",
"shared_post": null,
"shares": 29,
"text": "AI has the potential to compress a century...",
"url": "https://www.linkedin.com/feed/update/...",
"urn": "urn:li:activity:7396021973555924992"
}
}
]
}
The person activity model
This contains the structured data of a person’s recent activity on LinkedIn.Properties
string
Pagination token for fetching more activities. Use this in the next request to get the next page.
array
List of activity items (posts, comments, reactions, articles).
Show Activity object
Show Activity object
Activity Details
string
Type of activity: “Post” or “Repost”. When “Repost”, the activity only contains a
shared_post object.string
Text content of the activity (only present for “Post” activity_type).
string
LinkedIn URL of the activity (only present for “Post” activity_type).
string
Unique LinkedIn URN identifier for the activity (only present for “Post” activity_type).
string
ISO 8601 timestamp when the activity was created (only present for “Post” activity_type).
string
Direct shareable URL for the activity (only present for “Post” activity_type).
Activity Type
boolean
Whether this activity is a repost/share (only present for “Post” activity_type).
Activity Author (For “Post” type only)
object
Details about the activity author (only present for “Post” activity_type).
Attachments (For “Post” type only)
array
List of media attachments (only present for “Post” activity_type, can be null).
Show Attachment object
Show Attachment object
string
Type of attachment: “Article”, “Video”, “ExternalVideo”, “Image”, “Document”, etc.
string
URL of the attachment or article.
string
Title of the attachment.
string
Subtitle or source.
string
Description or caption.
string
Attachment URN identifier.
number
Video duration in milliseconds (for Video type).
string
Website domain (for ExternalVideo/Article types).
object
Navigation context with action_target URL (for ExternalVideo type).
Engagement Metrics (For “Post” type only)
number
Total number of likes/reactions (only present for “Post” activity_type).
number
Number of comments (only present for “Post” activity_type).
number
Number of shares/reposts (only present for “Post” activity_type).
array
Mentions & Shares (For “Post” type only)
array
object
Details of the shared/reposted content. For “Post” activity_type, this field is optional and contains details if the post is sharing another post. For “Repost” activity_type, this is the only content field present.
Show Shared post object
Show Shared post object
array
Attachments from the original post.
object
Original post author information.
string
Original post text content.
string
Original post URL.
string
Original post URN.
string
When the original post was created.
number
Original post likes count.
number
Original post comments count.
number
Original post shares count.
array
Original post reactions breakdown.
string
Original post shareable URL.
object
Nested shared post (if the original was also a share).
boolean
Whether the original post was a repost.
array
Mentions in the original post.
Was this page helpful?